{%- from "salt/map.jinja" import master with context %}
{%- if master.enabled %}

{%- if master.initial_data is defined %}

/srv/salt/restore_master.sh:
  file.managed:
  - source: salt://salt/files/restore_master.sh
  - mode: 700
  - template: jinja

salt_master_restore_state:
  cmd.run:
  - name: /srv/salt/restore_master.sh
  - cwd: /root
  - require:
    - file: /srv/salt/restore_master.sh

{%- endif %}

{%- endif %}
